#!/bin/bash

if [ "$UID" != "0" ]; then 
  echo " Only root can execute this script, sorry."
  echo " Try 'sudo ./install.sh'"
  exit 0
fi

echo ""
echo "======================"
echo "    Installing lch"
echo "======================"
echo ""
cp lch /usr/bin/lch
chmod 755 /usr/bin/lch
echo " Copied lch in /usr/bin"
cp lch.1 /usr/man/man1/lch.1
gzip /usr/man/man1/lch.1
chmod 644 /usr/man/man1/lch.1.gz
echo " Copied manpage in /usr/man/man1"
echo ""
echo "============================="
echo " lch installed successfully."
echo "============================="
echo ""
echo "Run 'lch --help' to see options."
exit 0
